# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-compile-resources libgio-devel
# END SourceDeps(oneline)
Name:		latexila
Version:	2.8.0
Release:	alt1_1
Summary:	Integrated LaTeX Environment for the GNOME desktop

Group:		Publishing
License:	GPLv3+
URL:		http://projects.gnome.org/latexila/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.8/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	libenchant-devel
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	libgtk+3-devel
BuildRequires:	libgtksourceview3-devel
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	vala

Requires:	icon-theme-hicolor
Requires:	gsettings-desktop-schemas
Requires:	rubber latexmk
Source44: import.info

%description
LaTeXila is an Integrated LaTeX Environment for GNOME. The main features are:
  * Configurable buttons to compile, convert and view a document in one click
  * LaTeX commands auto-completion
  * Symbol tables (Greek letters, arrows, ...)
  * File browser integrated
  * Template managing
  * Menus with the most commonly used LaTeX commands
  * Easy projects management

%prep
%setup -q

%build
%configure
make V=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%find_lang %{name} --with-gnome

desktop-file-validate \
	 %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS HACKING
%{_mandir}/man1/%{name}.1.*
%{_bindir}/*

%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml

%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 2.8.0-alt1_1
- update to new release by fcimport

* Fri Apr 05 2013 Cronbuild Service <cronbuild@altlinux.org> 2.6.2-alt2_2
- rebuild to get rid of unmets

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.6.2-alt1_2
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 2.6.2-alt1_1
- initial fc import

